﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Text;
using System.Web.Http;
using System.Diagnostics;
using WebApplication3.Models;
using WebApplication3.Services;

namespace WebApplication3.Controllers
{
    public class NotifyController : ApiController
    {
        // POST api/<controller>
        public void Post(JObject jsonResult)
        {
            #region "Extract data from request"

            string name = jsonResult["name"].ToString();
            string sessionUser = jsonResult["sessionUser"].ToString();
            string packageId = jsonResult["packageId"].ToString();
            string message = jsonResult["message"].ToString();
            string documentId = jsonResult["documentId"].ToString();
            string createdDate = jsonResult["createdDate"].ToString();

            #endregion


            Debugger.Log(1, "Debug", sessionUser + "\n");



            ESLNotificationCallbackInfo eslNCBI = new ESLNotificationCallbackInfo
            {
                Name = name,
                SessionUser = sessionUser,
                PackageId = packageId,
                Message = message,
                DocumentId = documentId,
                CreatedDate = createdDate,
            };


            ESLNotificationHandler nh = new ESLNotificationHandler();
            nh.ProcessEslNotification(eslNCBI);
        }

    }
}
